## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeAttributeAllocator Class Reference

`#include <XalanSourceTreeAttributeAllocator.hpp>`

Collaboration diagram for XalanSourceTreeAttributeAllocator:

List of all members.

## Public Types

- typedef XalanSourceTreeAttr ObjectType
- typedef ObjectType::IndexType IndexType
- typedef ArenaAllocator<ObjectType> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanSourceTreeAttributeAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanSourceTreeAttributeAllocator ()
- ObjectType* create ( const XalanDOMString& theName, const XalanDOMString& theValue, XalanSourceTreeElement* theOwnerElement = 0, IndexType theIndex = 0)
    Create an instance. More...
- void reset ()
    Delete all objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ArenaAllocator<ObjectType> XalanSourceTreeAttributeAllocator::ArenaAllocatorType

typedef ObjectType::IndexType XalanSourceTreeAttributeAllocator::IndexType

typedef XalanSourceTreeAttr XalanSourceTreeAttributeAllocator::ObjectType

typedef ArenaAllocatorType::size_type XalanSourceTreeAttributeAllocator::size_type

## Constructor & Destructor Documentation

XalanSourceTreeAttributeAllocator::XalanSourceTreeAttributeAllocator ( | size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XalanSourceTreeAttributeAllocator::~XalanSourceTreeAttributeAllocator ( | )

## Member Function Documentation

ObjectType * XalanSourceTreeAttributeAllocator::create ( | const XalanDOMString & theName,
| const XalanDOMString & theValue,
| XalanSourceTreeElement * theOwnerElement = 0,
| IndexType theIndex = 0 )

Create an instance.

Parameters:

  theName | The name of the attribute
  theValue | The value of the attribute
  theOwnerDocument | The document that owns the instance
  theOwnerElement | The element that owns the instance
  theIndex | The document-order index of the node.

Returns:
  pointer to the instance

size_type XalanSourceTreeAttributeAllocator::getBlockCount ( | ) const`[]`

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XalanSourceTreeAttributeAllocator::getBlockSize ( | ) const`[]`

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

void XalanSourceTreeAttributeAllocator::reset ( | )

Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XalanSourceTreeAttributeAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.